xmlindent(1)

NAME

xmlindent - XML stream reformatter

SYNTAX

xmlindent [-o output file] [-i indent level] [-l max columns] [-n newline position] [-t] [-c] [-f] [-w] [-h] [-v]

DESCRIPTION

XML Indent is a XML stream reformatter written in ANSI C. It is analogous to GNU indent.

OPTIONS

-o output file
    Write indented XML to output file

-i indent level
    Indent each level indent level spaces deeper

-l max columns
    Wrap lines longer than max columns

-t  Use tabs instead of spaces

-nas
    Suppress newline after start-tag

-nae
    Suppress newline after end-tag

-nbs
    Suppress newline before start-tag

-nbe
    Suppress newline before end-tag

-f  Force newline on elements without children

-w  Overwrite original file

-v  Show version

-h  Show command line help

AUTHORS

Pekka Enberg <penberg@iki.fi>
Thomas Fischer <th.fischer@gmx.net> (man page)

SEE ALSO

indent(1)